# List enterprise customers List of all or filtered customers defined at the enterprise level Endpoint: GET /v1/enterprise-customers Version: 0.0.4 Security: BearerAuth ## Query parameters: - `ids` (array) Filter or option: ids. Example: ["65f4c840b6f1a10012ab34cd"] - `tag_ids` (array) Filter or option: tag ids. Example: ["65f4c840b6f1a10012ab34cd"] - `external_ids` (array) Filter or option: external ids. Example: ["65f4c840b6f1a10012ab34cd"] - `first_name_letter` (string) Filter or option: first name letter. - `last_name_letter` (string) Filter or option: last name letter. - `q` (string) Filter or option: q. - `booker_id` (string) Filter or option: booker id. Example: "65f4c840b6f1a10012ab34cd" - `fields` (array) Filter or option: fields. Example: ["65f4c840b6f1a10012ab34cd"] - `page` (integer) Page number (1-based). Example: 1 - `limit` (integer) Maximum items per page. Default: 10000 (when not provided or when provided value ≤ 0). Example: 50 - `updated_since` (string) Filter or option: updated since. Example: "2026-03-02" - `sort_type` (string) Filter or option: sort type. - `sort` (string) Filter or option: sort. ## Header parameters: - `company-id` (string) Company MongoDB id used in auth context. Example: "65f4c840b6f1a10012ab34cd" ## Response 200 fields (application/json): - `data` (array, required) List payload. Example: [{"id":"65f4c840b6f1a10012ab34cd","externalId":"ext_1001","firstName":"John","lastName":"Doe","fullName":"John Doe","email":"john@example.com","totalBookings":5,"createdAt":"2024-01-15T10:30:00Z","updatedAt":"2024-02-20T14:45:30Z","ts":1708430730},{"id":"65f4c840b6f1a10012ab34ce","externalId":"ext_1002","firstName":"Jane","lastName":"Smith","fullName":"Jane Smith","email":"jane@example.com","totalBookings":3,"createdAt":"2024-01-20T11:15:00Z","updatedAt":"2024-02-25T13:22:00Z","ts":1708516200}] - `meta` (object) - `meta.page` (integer, required) Current page number. Example: 1 - `meta.limit` (integer, required) Items requested per page. Example: 20 - `meta.totalItems` (integer, required) Total items available. Example: 182 - `meta.totalPages` (integer, required) Total pages available. Example: 10 - `total` (integer) Total count used by legacy list endpoints. Example: 182 - `status` (integer) Operation status flag. Example: 1 ## Response 401 fields (application/json): - `error` (string, required) Error message. Example: "Invalid request payload" - `name` (string) Error class name. Example: "BadRequestError" - `errorCode` (string) Application-specific error code. Example: 2 - `details` (object) Structured error details. Example: {"query":{"page":"invalid"}} - `extras` (object,null) Extra error metadata from downstream services. Example: {"code":"GRAPHQL_VALIDATION_FAILED"} ## Response 500 fields (application/json): - `error` (string, required) Error message. Example: "Invalid request payload" - `name` (string) Error class name. Example: "BadRequestError" - `errorCode` (string) Application-specific error code. Example: 2 - `details` (object) Structured error details. Example: {"query":{"page":"invalid"}} - `extras` (object,null) Extra error metadata from downstream services. Example: {"code":"GRAPHQL_VALIDATION_FAILED"}